## fastmcp 2.14.4

=== examples/auth/aws_oauth/requirements.txt ===
fastmcp
python-dotenv

## fastmcp 2.13.3

=== debian/changelog ===
fastmcp (2.13.3-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@kali.org>  Mon, 08 Dec 2025 15:33:18 +0100

=== debian/control ===
Source: fastmcp
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python-is-python3,
 python3-annotated-types,
 python3-anyio,
 python3-authlib,
 python3-cyclopts,
 python3-dirty-equals,
 python3-fastapi,
 python3-hatchling,
 python3-httpx,
 python3-inline-snapshot,
 python3-jsonschema-path,
 python3-key-value-aio,
 python3-key-value-shared,
 python3-mcp (>= 1.19.0),
 python3-openai,
 python3-openapi-pydantic,
 python3-platformdirs,
 python3-psutil,
 python3-pydantic,
 python3-pydantic-core,
 python3-pyperclip,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-httpx,
 python3-setuptools,
 python3-uvicorn (>= 0.35.0~),
 python3-websockets,
 python3-all,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/jlowin/fastmcp
Vcs-Browser: https://gitlab.com/kalilinux/packages/fastmcp
Vcs-Git: https://gitlab.com/kalilinux/packages/fastmcp.git

Package: python3-fastmcp
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-key-value-aio,
 python3-key-value-shared,
 python3-mcp (>= 1.19.0),
Suggests:
 python-fastmcp-doc,
Description: fast, Pythonic way to build MCP servers and clients
 This package contains FastMCP 2.0 — the actively maintained,
 production-ready framework that extends far beyond basic protocol
 implementation. While the SDK provides core functionality, FastMCP 2.0
 delivers everything needed for production: advanced MCP patterns (server
 composition, proxying, OpenAPI/FastAPI generation, tool transformation),
 enterprise auth (Google, GitHub, WorkOS, Azure, Auth0, and more), deployment
 tools, testing utilities, and comprehensive client libraries.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=fastmcp

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: fastmcp --help
Restrictions: superficial

=== debian/watch ===
Version: 5
Template: Github
Owner: jlowin
Project: fastmcp

## fastmcp 2.14.4

=== debian/changelog ===
fastmcp (2.14.4-0kali3) kali-dev; urgency=medium

  * Fix typo: python3-jiter

 -- Sophie Brun <sophie@kali.org>  Mon, 23 Feb 2026 12:29:53 +0100

fastmcp (2.14.4-0kali2) kali-dev; urgency=medium

  * Add missing build-dep python3-jitter

 -- Sophie Brun <sophie@kali.org>  Mon, 23 Feb 2026 12:15:40 +0100

fastmcp (2.14.4-0kali1) kali-dev; urgency=medium

  * Update debian/watch to Version 5
  * New upstream version 2.14.4
  * Change Section to Python
  * Add missing build-deps
  * Refresh patches
  * Add missing dep python3-wrapt

 -- Sophie Brun <sophie@kali.org>  Thu, 19 Feb 2026 17:42:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: fastmcp
-Section: misc
+Section: python
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Sophie Brun <sophie@kali.org>
@@ -10,18 +10,24 @@
  pybuild-plugin-pyproject,
  python-is-python3,
  python3-annotated-types,
+ python3-anthropic,
  python3-anyio,
  python3-authlib,
+ python3-beartype,
  python3-cyclopts,
  python3-dirty-equals,
+ python3-docket (>= 0.16.6-0kali2),
  python3-fastapi,
  python3-hatchling,
  python3-httpx,
  python3-inline-snapshot,
+ python3-jiter,
+ python3-jsonref,
  python3-jsonschema-path,
  python3-key-value-aio,
  python3-key-value-shared,
- python3-mcp (>= 1.19.0),
+ python3-lupa,
+ python3-mcp (>= 1.24.0),
  python3-openai,
  python3-openapi-pydantic,
  python3-platformdirs,
@@ -35,6 +41,7 @@
  python3-setuptools,
  python3-uvicorn (>= 0.35.0~),
  python3-websockets,
+ python3-wrapt,
  python3-all,
 Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.7.2
@@ -50,6 +57,7 @@
  python3-key-value-aio,
  python3-key-value-shared,
  python3-mcp (>= 1.19.0),
+ python3-wrapt
 Suggests:
  python-fastmcp-doc,
 Description: fast, Pythonic way to build MCP servers and clients

=== debian/watch ===
Version: 5
Source: https://github.com/jlowin/fastmcp/tags
Matching-Pattern: (?:.*?/)v((?:[0-9]\d*)(?:\.\d+){2})@ARCHIVE_EXT@
